Foreman - Feature #22107

Please add a link from the Infrastructure->Subnets page for each subnet to a report which shows all
hosts using this subnet

01/01/2018 03:40 PM - Tomer Brisker

Status: Closed
Priority: Low
Assignee: Tomer Brisker
Category: Network
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1372468 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5136,
https://github.com/theforeman/foreman/p
ull/5151
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1372468

Description of problem:

Please add a link from the Infrastructure->Subnets page for each subnet to a report which shows all hosts using this subnet
Additional Info:

When reviewing a subnet, it is helpful if | can quickly see every system using that subnet. Current reports only seem to let me filter
on the Primary NIC Subnet.

Associated revisions

Revision 7f85b5c9 - 01/02/2018 08:49 AM - Tomer Brisker
Fixes #22107 - Add hosts count to subnet page

Revision 59af2d44 - 02/01/2018 02:18 PM - Timo Goebel

refs #22107 - subnet host count: permissions and n+1

History

#1-01/01/2018 03:51 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/5136 added

#2 - 01/02/2018 09:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7f85b5c9cbcd98438aabc0afc956ad2122267227.

#3 - 01/05/2018 01:07 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5151 added

#4 - 01/15/2018 12:07 PM - Tomer Brisker

- Subject changed from Please add a link from the Infrastructure->Subnets page for each subnet to a report which shows all hosts using this subnet
to Please add a link from the Infrastructure->Subnets page for each subnet to a report which shows all hosts using this subnet
https://bugzilla.redhat.com/show_bug.cgi?id=1372468
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7f85b5c9cbcd98438aabc0afc956ad2122267227

- translation missing: en.field_release set to 330
